﻿Scriptname JaxonzEnhGrabObject extends ReferenceAlias  
{empty base script for manipulating objects}

FormList Property flstValidForms Auto	;forms qualifying for this script
;FormList Property flstComponents Auto	;objrefs for a specific instance

Bool Function Instantiate (ObjectReference objBase)
;Bool Function Instantiate (form frmBase)
;	If frmBase as FormList
;		;handle form list argument
;		return InstantiateFromFormList(frmBase as FormList)
;	ElseIf frmBase as ObjectReference
;		;handle obj ref argument;initialize the object for positioning
;		return InstantiateFromObjectRef(frmBase as ObjectReference)
;	EndIf
;create references to associated objects
;returns True if successful, False on fail
EndFunction

Function TranslateTo(float afX, float afY, float afZ, float afXAngle, float afYAngle, float afZAngle, float afSpeed, float afMaxRotationSpeed = 0.0)
;same functionality as ObjectReference.TranslateTo except that coordinates associated items
EndFunction

Function StopTranslation()
EndFunction

Event OnTranslationComplete()
EndEvent

ObjectReference[] Function Collect()
;hides/disables the objects, returns array of ObjectReference collection
EndFunction

Function Restore (ObjectReference[] objCollection, ObjectReference objPlaceAtRef)
;unhides/enables objects at designated Location
EndFunction

Function Release()
;releases all internal references
EndFunction

string Function GetDisplayName()
;returns human readable name for object
EndFunction

float Function GetScale()
;returns current object scale
EndFunction

Function SetScale(float afScale)
;sets the object scale
EndFunction