﻿Scriptname JaxonzEnhGrabPlayerAlias extends ReferenceAlias  
{used to detect game load and abort cell lockdown}

MiscObject Property objToken Auto
Activator Property actNoDriftMarker Auto

Event OnPlayerLoadGame()

	;set flag to abort cell objects lockdown if reloading save game
	(GetOwningQuest() as JaxonzEnhGrabMCM).bLockDownCell = false
	
	;set token weight value (doesn't persist in save)
	objToken.SetWeight((GetOwningQuest() as JaxonzEnhGrab).giTokenWeight.GetValue())
	
	;send OnCellLoad event to all NoDrift markers
	Cell kCell = Game.GetPlayer().GetParentCell()
	ObjectReference objRef
	Int iIndex = kCell.GetNumRefs(actNoDriftMarker.GetType())
	while (iIndex)
	    iIndex -= 1
	    objRef = kCell.GetNthRef(iIndex, actNoDriftMarker.GetType())
	    If objRef as JaxonzEnhGrabNoDriftMarkerScript
	    	(objRef as JaxonzEnhGrabNoDriftMarkerScript).OnCellLoad()
	    EndIf
	endwhile
EndEvent
