﻿Scriptname JaxonzEnhGrabStatic extends ObjectReference
{allows token object to have references to original objects}

ObjectReference[] Property objAssociatedStatics Auto
JaxonzEnhGrab Property scrQuest Auto
int iMotion_Keyframed = 4

Event OnContainerChanged(ObjectReference akNewContainer, ObjectReference akOldContainer)
	Debug.Trace("JaxonzEnhGrabStatic OnContainerChanged")
	if akNewContainer == None && objAssociatedStatics.Length	;dropped into world and references assigned
		ObjectReference objPlayer = Game.GetPlayer()
		;wait until menu closed
		Utility.Wait(0.1)
		;disable havok
		SetMotionType(iMotion_Keyframed)
		;move to ground level, angle aligned with the player
		SetPosition(X, Y, objPlayer.Z + 40)
		SetAngle(0, 0, objPlayer.GetAngleZ())

		ObjectReference objRef = objAssociatedStatics[0]
		int iNumberOfRefsInCell = GetParentCell().GetNumRefs(objRef.GetType())	;how many object of this type in the cell?
		scrQuest.RestoreObjectAtLocation(Self as ObjectReference)								;try to move

		;offer duplicate item if not successfully moved
		if (GetParentCell() != objRef.GetParentCell()) && iNumberOfRefsInCell == GetParentCell().GetNumRefs(objRef.GetType())	;unable to move
			int iChoice = 1	;always duplicate without player prompt
;			int iChoice = msgRestore.Show()														;allow user to chose to move to original cell, duplicate object, or cancel
			if iChoice == 0		;move
				objPlayer.MoveTo(objRef)														;move player to cell with original ObjectReference
				Utility.Wait(0.5)
;	scrQuest.refToken.ForceRefTo(Self)
;	scrQuest.RestoreObjectAtLocation()
				scrQuest.RestoreObjectAtLocation(Self)
				objPlayer.MoveTo(Self)												;move player back to current Location
				if iNumberOfRefsInCell == GetParentCell().GetNumRefs(objRef.GetType())	;unable to move
					Debug.MessageBox("Unable to move the object. Aborting.")
					iChoice = 2
				EndIf
			ElseIf iChoice == 1	;duplicate
				objRef.Disable()
				objRef = PlaceAtMe(objRef.GetBaseObject(), 1, true)
				Utility.Wait(0.1)	;PlaceAtMe is latent
				scrQuest.BeginObjectPositioning(objRef)
			EndIf
			If iChoice == 2
				objPlayer.AddItem(Self)	;return the token to inventory
				return	;short circuit exit
			EndIf
		EndIf
		
		;make token disappear
		Disable()
		DeleteWhenAble()

	EndIf
EndEvent