﻿Scriptname JaxonzEnhGrabNoDriftMarkerScript extends ObjectReference  
{Attempts to correct sinking object syndrome.
Move associated object to marker location on cell load.}

Import Debug

ObjectReference Property objPositioned Auto

;int iSuperFast = 1000000

Event OnCellLoad()
;	;wait until associated object is loaded
;	While !objPositioned.Is3DLoaded()
;		Utility.Wait(0.1)
;	EndWhile
	
	;make sure objPositioned exists in this cell
	if !objPositioned || (GetParentCell() != objPositioned.GetParentCell())
		Trace("JaxonzEnhGrabNoDriftMarkerScript: No objPositioned set or in a different cell. Deleting this marker instance.")
		DisableNoWait()
		Delete()
	Else
		if X != objPositioned.X || Y != objPositioned.Y || Z != objPositioned.Z
			Trace ("JaxonzEnhGrabNoDriftMarkerScript: Associated object has moved" + \
				" X:" + X + "|" + objPositioned.X + \
				" Y:" + Y + "|" + objPositioned.Y + \
				" Z:" + Z + "|" + objPositioned.Z)
			objPositioned.TranslateToRef(Self, 1000000, 0.0)
		EndIf
	EndIf
EndEvent


